Bug 144003 - mib2c* should be in net-snmp-perl package
mib2c* should be in net-snmp-perl package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 12:02 EST by Marius Feraru
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: net-snmp-5.3.1-15.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 09:59:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec diff (1.68 KB, patch)
2005-01-03 12:03 EST, Marius Feraru
no flags Details | Diff

  None (edit)
Description Marius Feraru 2005-01-03 12:02:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041114 Firefox/1.0

Description of problem:
here is the changelog entry from my spec patch:
- mib2c* should be in -perl package
- use the official homepage URL
- let's remove "*.bs" with a "safer" snippet, checking if file is
really empty
   (maybe they're still useful/used on different arch?)

Version-Release number of selected component:
5.2-2

How reproducible:
Always

Steps to Reproduce:
rpm -qpl net-snmp-utils-5.2-2.i386.rpm |grep mib2c
Comment 1 Marius Feraru 2005-01-03 12:03:20 EST
Created attachment 109261 [details]
spec diff
Comment 2 Radek Vokal 2005-01-05 08:55:26 EST
Well the mib2c-update is a script for merging created code into updated mib2c
code, so it's more utility than a part perl package. 

The removing of .bs is not a big deal but I will add it to the next rawhide
version. 
Comment 3 Marius Feraru 2005-01-05 11:25:46 EST
>Well the mib2c-update is a script for merging created code into updated mib2c
>code, so it's more utility than a part perl package.

Agreed. But I forgot to mention my intentions: minimizing perl impact on
net-snmp-* packages requirements which at the moment are quite high.
One by one:

* package net-snmp includes:
 /usr/share/doc/net-snmp-5.2/ipf-mod.pl
   => requires /usr/bin/perl
      (iep, I know rpm automatic dependencies generator suck at this one as IMHO
       it shouldn't look for any dependencies below %_docdir) ;-)
   => it shouldn't be included as it is duplicated in -utils sub-package

 /usr/share/snmp/snmp_perl_trapd.pl
   => used by the perl subsysem of snmptrapd, so it _should_ (again a
      find-requires miss: NetSNMP::TrapReceiver) require the -perl sub-package
   => let's move it to perl sub-package

* net-snmp-utils: some scripts require the perl compiler (hehe, and none uses
net-snmp interface), but here I think it should be quite OK to allow perl as
requirement.
 The only thing is in fact that "mib2c-update" is using "mib2c" to do its job,
so - in an ideal world - we should require net-snmp-perl too, which is not so
good at the moment, as it should be the only (and not significant) reason to do
this. This is in fact the main reason for proposing to be moving mib2c-update
from utils to perl.
Comment 4 Jan Safranek 2007-10-19 09:59:20 EDT
I am sorry for long time of silence from Fedora. It seems the bug has been fixed
really long time ago and nobody closed the bug.

Note You need to log in before you can comment on or make changes to this bug.